Subject: Re: bug#52496: syntax highlighting problem on emacs shell-script mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 19 Dec 2021 20:42:26 +0100

Yilkal Argaw <[email-masked]> writes:

> Yes it is the heredoc part. I have tried emacs 27, 28 and 29(i.e. the
> master) and it all behaves the same.

Right.  So the question is whether we should just continue to add
characters to that regexp (safe solution) or whether to try to amend the
shell-script-mode concept of a "word", which I think is likely to break
stuff, but would be more correct...  probably...